{% load static i18n %}
{% load ecriplussupport_tags %}
<!DOCTYPE html>
{% get_current_language as LANGUAGE_CODE %}
<html lang="{{ LANGUAGE_CODE }}">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>{% block title %}Support écri+{% endblock title %}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Site de support du projet écri+">
    <meta name="author" content="écri+ Team">

    <link rel="icon" href="{{ STATIC_URL }}ecriplussupport/images/favicon.ico">

    {% block css %}
    <!-- Your stuff: Third-party CSS libraries go here -->

    <!-- This file stores project-specific CSS -->
    <link href="{{ STATIC_URL }}ecriplussupport/css/project.min.css" rel="stylesheet">
    {% endblock %}
    <!-- Le javascript
    ================================================== -->
    {# Placed at the top of the document so pages load faster with defer #}
    {% block javascript %}
      <!-- Vendor dependencies bundled as one file-->
      <script defer src="{{ STATIC_URL }}ecriplussupport/js/vendors.min.js"></script>

      <!-- place project specific Javascript in this file -->
      <script defer src="{{ STATIC_URL }}ecriplussupport/js/project.min.js"></script>

    {% endblock javascript %}

  </head>

  <body>

    {% include "helpdesk/custom_navigation_header.html" %}

    <div class="mb-1">
      <nav class="navbar navbar-expand-md navbar-light bg-light">
        <div class="container-fluid">
          <button class="navbar-toggler navbar-toggler-right" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <a class="navbar-brand" href="/">Support écri+</a>

          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
              <li class="nav-item active">
                <a class="nav-link" href="/">Home <span class="visually-hidden">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'about' %}">About</a>
              </li>
              {% if request.user.is_authenticated %}
                <li class="nav-item">
                  <a class="nav-link" href="{% url 'users:detail' request.user.username  %}">{% translate "My Profile" %}</a>
                </li>
                <li class="nav-item">
                  {# URL provided by django-user-accounts/urls.py #}
                  <a class="nav-link" href="{% url 'account_logout' %}">{% translate "Log out" %}</a>
                </li>
              {% else %}
                {% if ACCOUNT_OPEN_SIGNUP %}
                <li class="nav-item">
                  {# URL provided by django-user-accounts/urls.py #}
                  <a id="sign-up-link" class="nav-link" href="{% url 'account_signup' %}">{% translate "Sign Up" %}</a>
                </li>
                {% endif %}
                <li class="nav-item">
                  {# URL provided by django-user-accounts/urls.py #}
                  <a id="log-in-link" class="nav-link" href="{% url 'account_login' %}">{% translate "Log in" %}</a>
                </li>
              {% endif %}
            </ul>
          </div>
        </div>
      </nav>

    </div>

    <div class="container">

      {% if messages %}
        {% for message in messages %}
          <div class="alert alert-dismissible {% if message.tags %}alert-{{ message.tags }}{% endif %}">
            {{ message }}
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
          </div>
        {% endfor %}
      {% endif %}

      {% block content %}
        <p>Use this document as a way to quick start any new project.</p>
      {% endblock content %}

    </div> <!-- /container -->

    {% block modal %}{% endblock modal %}

    {% block inline_javascript %}
    {% comment %}
    Script tags with only code, no src (defer by default). To run
    with a "defer" so that you run inline code:
    <script>
      window.addEventListener('DOMContentLoaded', () => {/* Run whatever you want */});
    </script>
    {% endcomment %}
    {% endblock inline_javascript %}
  </body>
</html>
